package com.chenyang.nse.bussiness.thkms.runner;

import com.chenyang.nse.bussiness.local.service.TestService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.boot.ApplicationArguments;
import org.springframework.stereotype.Component;

@Component
public class ThKmsSecretKeysRunner {
   protected Logger logger = LoggerFactory.getLogger(this.getClass());
   @Autowired
   @Qualifier("ThKmsTestServiceImpl")
   protected TestService thKmsTestService;

   public void run(ApplicationArguments args) throws Exception {
      this.thKmsTestService.initSecretKey();
      this.thKmsTestService.test();
   }
}
